KDE 4.9 PyKDE API Reference

- KDE's Python API

# DOMImplementation Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

The DOMImplementation interface provides a number of methods for performing operations that are independent of any particular instance of the document object model.

DOM Level 2 and newer provide means for creating documents directly, which was not possible with DOM Level 1.

## Methods

| __init__ (self)
| __init__ (self, DOM.DOMImplementation other)
DOM.CSSStyleSheet | createCSSStyleSheet (self, DOM.DOMString title, DOM.DOMString media)
DOM.Document | createDocument (self, DOM.DOMString namespaceURI, DOM.DOMString qualifiedName, DOM.DocumentType doctype)
DOM.DocumentType | createDocumentType (self, DOM.DOMString qualifiedName, DOM.DOMString publicId, DOM.DOMString systemId)
DOM.HTMLDocument | createHTMLDocument (self, DOM.DOMString title)
DOM.DOMImplementation | getInterface (self, DOM.DOMString feature)
bool | hasFeature (self, DOM.DOMString feature, DOM.DOMString version)
bool | isNull (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.DOMImplementation | other
| ) |  |  |

DOM.CSSStyleSheet createCSSStyleSheet | ( | self, |
|  | DOM.DOMString | title,
|  | DOM.DOMString | media
| ) |  |  |

Introduced in DOM Level 2 This method is from the DOMImplementationCSS interface

Creates a new CSSStyleSheet.

Parameters:

  | title | The advisory title. See also the Style Sheet Interfaces section.
  | media | The comma-separated list of media associated with the new style sheet. See also the Style Sheet Interfaces section.

Returns:
  A new CSS style sheet.

SYNTAX_ERR: Raised if the specified media string value has a syntax error and is unparsable.

DOM.Document createDocument | ( | self, |
|  | DOM.DOMString | namespaceURI,
|  | DOM.DOMString | qualifiedName,
|  | DOM.DocumentType | doctype
| ) |  |  |

Introduced in DOM Level 2

Creates an XML Document object of the specified type with its document element. HTML-only DOM implementations do not need to implement this method.

Parameters:

  | namespaceURI | The namespace URI of the document element to create.
  | qualifiedName | The qualified name of the document element to be created.
  | doctype | The type of document to be created or null. When doctype is not null, its Node.ownerDocument attribute is set to the document being created.

Returns:
  A new Document object.

DOMException INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.

NAMESPACE_ERR: Raised if the qualifiedName is malformed, if the qualifiedName has a prefix and the namespaceURI is null, or if the qualifiedName has a prefix that is "xml" and the namespaceURI is different from "http://www.w3.org/XML/1998/namespace" [Namespaces].

WRONG_DOCUMENT_ERR: Raised if doctype has already been used with a different document or was created from a different implementation.

DOM.DocumentType createDocumentType | ( | self, |
|  | DOM.DOMString | qualifiedName,
|  | DOM.DOMString | publicId,
|  | DOM.DOMString | systemId
| ) |  |  |

Introduced in DOM Level 2

Creates an empty DocumentType node. Entity declarations and notations are not made available. Entity reference expansions and default attribute additions do not occur. It is expected that a future version of the DOM will provide a way for populating a DocumentType.

HTML-only DOM implementations do not need to implement this method.

Parameters:

  | qualifiedName | The qualified name of the document type to be created.
  | publicId | The external subset public identifier.
  | systemId | The external subset system identifier.

Returns:
  A new DocumentType node with Node.ownerDocument set to null.

DOMException INVALID_CHARACTER_ERR: Raised if the specified qualified name contains an illegal character.

NAMESPACE_ERR: Raised if the qualifiedName is malformed.

DOM.HTMLDocument createHTMLDocument | ( | self, |
|  | DOM.DOMString | title
| ) |  |  |

Introduced in DOM Level 2 This method is from the HTMLDOMImplementation interface

Creates an HTMLDocument with the minimal tree made of these elements: HTML,HEAD,TITLE and BODY. It extends the core interface which can be used to create an XHTML document by passing the XHTML namespace as the namespace for the root element.

Parameters:

  | title | The title of the document to be set as the content of the TITLE element, through a child Text node.

Returns:
  the HTMLdocument

DOM.DOMImplementation getInterface | ( | self, |
|  | DOM.DOMString | feature
| ) |  |  |

Introduced in DOM Level 3 This method makes available a DOMImplementation's specialized interface.

Parameters:

  | feature | The name of the feature requested (case-insensitive)

Returns:
  Returns an alternate DOMImplementation which implements the specialized APIs of the specified feature, if any, or null if there is no alternate DOMImplementation object which implements interfaces associated with that feature. Any alternate DOMImplementation returned by this method must delegate to the primary core DOMImplementation and not return results inconsistent with the primary DOMImplementation.

bool hasFeature | ( | self, |
|  | DOM.DOMString | feature,
|  | DOM.DOMString | version
| ) |  |  |

Test if the DOM implementation implements a specific feature.

Parameters:

  | feature | The package name of the feature to test. In Level 1, the legal values are "HTML" and "XML" (case-insensitive).
  | version | This is the version number of the package name to test. In Level 1, this is the string "1.0". If the version is not specified, supporting any version of the feature will cause the method to return true .

Returns:
  true if the feature is implemented in the specified version, false otherwise.

bool isNull | ( |  | self ) |